Page MenuHomePhabricator

Include already promoted counts when computing SUM for VP.
ClosedPublic

Authored by danielcdh on Oct 10 2017, 2:21 PM.

Details

Summary

When computing the SUM for indirect call promotion, if the callsite is already promoted in the profile, it will be promoted before ICP. In the current implementation, ICP only sees remaining counts in SUM. This may cause extra indirect call targets being promoted. This patch updates the SUM to include the counts already promoted earlier. This way we do not end up promoting too many indirect call targets.

Event Timeline

danielcdh created this revision.Oct 10 2017, 2:21 PM
tejohnson accepted this revision.Nov 1 2017, 9:42 PM

LGTM
Sorry, completely missed this one earlier.

This revision is now accepted and ready to land.Nov 1 2017, 9:42 PM
danielcdh closed this revision.Nov 6 2017, 11:53 AM